@extends(templates/layout_normal)

@section(main)
    <h2><?= $community->getName() ?> <span class="small">[<a href="<?= Container::$routeCollection->getRoute('community-edit')->generateLink(['communityId' => $community->getId()]) ?>">edit</a>]</span></h2>

    <div class="gridContainer marginTop">
        <div>
            <h3 class="marginBottom">Members</h3>
            <?php foreach ($members as $member): ?>
                <p><?= $member->getUser()->getDisplayName() ?></p>
            <?php endforeach; ?>
            <?php if ($editPermission): ?>
                <hr>
                <p><a href="<?= Container::$routeCollection->getRoute('community-members')->generateLink(['communityId' => $community->getId()]) ?>">Edit members</a></p>
            <?php endif; ?>
        </div>
        <div>
            <h3 class="marginBottom">Currencies</h3>
            <p>Main currency: <b><?= $community->getCurrency() ?></b></p>
            <?php if (count($currencies) > 0): ?>
                <p>Further currencies: <b>
                    <?php foreach ($currencies as $currency): ?>
                        <a href="<?= Container::$routeCollection->getRoute('community-currency-exchange-rates')->generateLink(['communityId' => $community->getId(), 'code' => $currency->getCode()]) ?>"><?= $currency->getCode() ?></a>
                    <?php endforeach; ?>
                </b></p>
            <?php endif; ?>
            <?php if ($editPermission): ?>
                <hr>
                <p><a href="<?= Container::$routeCollection->getRoute('community-currencies')->generateLink(['communityId' => $community->getId()]) ?>">Edit currencies</a></p>
            <?php endif; ?>
        </div>
        <div>
            <h3 class="marginBottom">Upcoming events</h3>
            <?php if (count($upcomingEvents) > 0): ?>
                <?php foreach ($upcomingEvents as $event): ?>
                    <!-- todo -->
                <?php endforeach; ?>
            <?php else: ?>
                <p>There is no upcoming event.</p>
            <?php endif; ?>
        </div>
        <div>
            <h3 class="marginBottom">Finances</h3>
            <table class="fullWidth">
                <tr>
                    <td>You owe</td>
                    <td style="text-align: right; color: red;">0 <?= $community->getCurrency() ?></td>
                </tr>
                <tr>
                    <td>You're owed</td>
                    <td style="text-align: right; color: green;">0 <?= $community->getCurrency() ?></td>
                </tr>
                <tr>
                    <td>Your balance</td>
                    <td style="text-align: right;">0 <?= $community->getCurrency() ?></td>
                </tr>
            </table>
        </div>
    </div>
@endsection
